import React from 'react'
import ConveyorInstance from './conveyorInstance/conveyorInstance'
import { useSceneContext } from '../../../scene/sceneContext';

function ConveyorInstances() {

    const { conveyorStore } = useSceneContext();
    const { conveyors } = conveyorStore();

    return (
        <>

            {conveyors.map((conveyor: ConveyorStatus) =>
                <ConveyorInstance conveyor={conveyor} key={conveyor.modelUuid} />
            )}

        </>
    )
}

export default ConveyorInstances